Subject: Re: bug#29595: 26.0.90; menu items show incorrect shortcut keys

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Dec 2017 15:09:26 +0200

> Date: Fri, 22 Dec 2017 12:34:33 +0000
> From: Alan Third <[email-masked]>
> Cc: Paul Rankin <[email-masked]>, [email-masked]
> 
> It seems that older macOS versions ignored keyboard shortcuts they
> didn’t understand, but High Sierra appears to use a ‘best effort’
> attempt which results in it just printing out the first character
> (capital C for ctrl, so shift‐C).
> 
> I’ve attached a patch that I hope fixes it.

Thanks.

Will this patch work on both old and new versions of macOS?  I'd like
to install this on the release branch, but I don't want to cause any
regressions as result of that.